PATOOL(1)

NAME
patool - portable command line archive file manager

SYNOPSIS
 patool (list|test) [--verbose] <archive-file>...
 patool extract [--verbose] [--outdir=DIRNAME] <archive-file>...
 patool create [--verbose] <archive-file> [files...]
 patool diff <archive1> <archive2>
 patool repack <archive1> <archive2>
 patool formats

DESCRIPTION
Various archive types can be created, extracted, tested and listed by patool. The advantage of patool is its simplicity in handling archive files without having to remember a myriad of programs and options.

The archive format is determined by the file(1) program and as a fallback by the archive file extension.

patool supports 7z (.7z), ACE (.ace), ALZIP (.alz), APE (.ape), AR (.a), ARC (.arc), ARJ (.arj), BZIP2 (.bz2), CAB (.cab), compress (.Z), CPIO (.cpio), DEB (.deb), DMS (.dms), GZIP (.gz), LRZIP (.lrz), LZH (.lha, .lzh), LZIP (.lz), LZMA (.lzma), LZOP (.lzo), RPM (.rpm), RAR (.rar), RZIP (.rz), SHN (.shn), TAR (.tar), XZ (.xz), ZIP (.zip, .jar) and ZOO (.zoo) formats. It relies on helper applications to handle those archive formats (for example bzip2 for BZIP2 archives).

The archive formats TAR (.tar), ZIP (.zip), BZIP2 (.bz2) and GZIP (.gz) are supported natively and do not require helper applications to be installed.

EXAMPLES
  patool extract archive.zip otherarchive.rar
  patool test --verbose dist.tar.gz
  patool list package.deb
  patool create --verbose myfiles.zip file1.txt dir/
  patool diff release1.0.tar.gz release2.0.zip
  patool repack linux-2.6.33.tar.gz linux-2.6.33.tar.bz2

COMMANDS
Several commands and options are available.

  extract
Extract files from an archive. The original archive will never be removed and is left as it is.
This is the default command if no command was given.

Files are always extracted to a unique temporary directory in the current working directory. If the archive contains exactly one file or directory, the archive contents are moved to the current working directory and the temporary directory will be removed.
This prevents cluttering the current working directory with a lot of files from the extracted archive.

All extracted files are ensured that they are readable by the current user.

-v, --verbose
    Be verbose when extracting (if the helper application supports it).

  list
List files in an archive.

-v, --verbose
    Verbose archive listing (if the helper application supports it).

  create
Create an archive from given files. At least on of the given files to add to the archive has to exist (non-existing files are ignored). The format of the archive to create is determined by the archive file extension.

-v, --verbose
    Verbose operation (if the helper application supports it).

  test
Test files in an archive. If the helper application does not support testing, the archive contents are listed instead.

-v, --verbose
    Verbose archive testing (if the helper application supports it).

  diff
Show differences between two archives with the diff(1) utility. The diff options used are -urN.

  repack
Repackage archive to a different format. The target archive format is determined by the file extension.

  formats
Show all supported archive formats (ie. which helper applications are available).

HELP OPTION
Specifying the help option displays help for patool itself, or a command.
For example:
  patool --help - display help for patool
  patool extract --help - display help for the extract command

AUTHOR
Bastian Kleineidam <calvin@users.sourceforge.net>

COPYRIGHT
Copyright © 2010-2012 Bastian Kleineidam